DISPATCH-CONF(1)

NAME
dispatch-conf - Sanely update configuration files after emerging new packages

SYNOPSIS
dispatch-conf

DESCRIPTION
dispatch-conf is designed to be run after merging new packages in order to see if there are updates to the configuration files. If a new configuration file will overwrite an old one, dispatch-conf will prompt the user for a decision about how to resolve the discrepancy. Advantages of dispatch-conf include easy rollback (changes to config files are stored either using patches or rcs) and the ability to automatically update config files that the user has never modified or that differ from the current version only in CVS cruft or white space. dispatch-conf will check all directories in the CONFIG_PROTECT variable. All config files found in CONFIG_PROTECT_MASK will automatically be updated for you by dispatch-conf. See make.conf(5) for more information.

OPTIONS

None.

USAGE
dispatch-conf must be run as root, since the config files to be replaced are generally owned by root. Before running dispatch-conf for the first time the settings in /etc/dispatch-conf.conf should be edited and the archive directory specified in /etc/dispatch-conf.conf will need to be created. All changes to config files will be saved in the archive directory either as patches or using rcs, making restoration to an earlier version rather simple. When dispatch-conf finds a config file that has a new update the user is provided with a menu of options for how to handle the update:

u   Update (replace) the current config file with the new config file and continue.

z   Zap (delete) the new config file and continue.

n   Skip to the next config file, leaving both the original config file and any CONFIG_PROTECTed files.

e   Edit the new config file, using the editor defined in EDITOR.

m   Interactively merge the current and new config files.

l   Look at the differences between the pre-merged and merged config files.

t   Toggle between the merged and pre-merged config files (in terms of which should be installed using the u command).

h   Display a help screen.

q   Quit dispatch-conf.

FILE MODES
WARNING: When /etc/dispatch-conf.conf is configured to use rcs(1), read and execute permissions of archived files may be inherited from the first check in of a working file, as documented in the ci(1) man page. This means that even if the permissions of the working file have since changed, the older permissions of the first check in may be inherited. As mentioned in the ci(1) man page, users can control access to RCS files by setting the permissions of the directory containing the files.

REPORTING BUGS
Please report bugs via https://bugs.gentoo.org/

AUTHORS
Jeremy Wohl
Karl Trygve Kalleberg <karltk@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Grant Goodyear <g2boojum@gentoo.org>

FILES

/etc/dispatch-conf.conf
    Configuration settings for dispatch-conf are stored here.

SEE ALSO
make.conf(5), ci(1), etc-update(1), rcs(1)